MethodArgumentNotValidException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.bind

## Class MethodArgumentNotValidException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.springframework.web.bind.MethodArgumentNotValidException

- All Implemented Interfaces:
    Serializable

      public class MethodArgumentNotValidException
      extends Exception

  Exception to be thrown when validation on an argument annotated with `@Valid` fails.
  Since:
    3.1
  Author:
    Rossen Stoyanchev
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodArgumentNotValidException(MethodParameter parameter, BindingResult bindingResult)` Constructor for `MethodArgumentNotValidException`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BindingResult` | `getBindingResult()` Return the results of the failed validation.
    `String` | `getMessage()`
    `MethodParameter` | `getParameter()` Return the method parameter that failed validation.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodArgumentNotValidException

          public MethodArgumentNotValidException(MethodParameter parameter,
                                         BindingResult bindingResult)

      Constructor for `MethodArgumentNotValidException`.
      Parameters:
        `parameter` - the parameter that failed validation
        `bindingResult` - the results of the validation

  - ### Method Detail

    - #### getParameter

          public MethodParameter getParameter()

      Return the method parameter that failed validation.

    - #### getBindingResult

          public BindingResult getBindingResult()

      Return the results of the failed validation.

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`